gstreamermm: Gst::AudioFilter Class Reference

Public Member Functions | Related Functions

# Gst::AudioFilter Class Reference
[gstreamermm Base Classes]

A base class for simple audio filters. More...

Inherits Gst::BaseTransform.

Inherited by Gst::Volume.

Collaboration diagram for Gst::AudioFilter:
[legend]

List of all members.

## Public Member Functions
virtual | ~AudioFilter ()
GstAudioFilter* | gobj ()
| Provides access to the underlying C GObject.
const GstAudioFilter* | gobj () const
| Provides access to the underlying C GObject.
GstAudioFilter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual bool | setup_vfunc (Gst::RingBufferSpec& format)
| Virtual function, called whenever the format changes.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::AudioFilter > | wrap (GstAudioFilter* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A base class for simple audio filters.

Gst::AudioFilter is a Gst::BaseTransform-derived base class for simple audio filters, ie. those that output the same format that they get as input.

Gst::AudioFilter will parse the input format for you (with error checking) before calling your setup function. Also, elements deriving from Gst::AudioFilter may use gst_audio_filter_class_add_pad_templates() from their base_init function to easily configure the set of caps/formats that the element is able to handle.

Derived classes should override the Gst::AudioFilter::setup_vfunc() and Gst::BaseTransform::transform_ip_vfunc() and/or Gst::BaseTransform::transform_vfunc() virtual functions.

## Constructor & Destructor Documentation

virtual Gst::AudioFilter::~AudioFilter | ( |  | ) | `[virtual]`

## Member Function Documentation

GstAudioFilter* Gst::AudioFilter::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

const GstAudioFilter* Gst::AudioFilter::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstAudioFilter* Gst::AudioFilter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseTransform.

virtual bool Gst::AudioFilter::setup_vfunc | ( | Gst::RingBufferSpec& | format | ) | `[virtual]`

Virtual function, called whenever the format changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::AudioFilter > wrap | ( | GstAudioFilter * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/audiofilter.h